﻿
@{
    ViewBag.Title = "TodasConsultas";
    Layout = null;
}

@model HealthUp_.Models.Pessoa


@if (TempData["Msg"] != null)
{
    if (TempData["Msg"].ToString().IndexOf("sucesso") > 0)
    {
        <div id="Esconder" style="text-align:center; background-color: aquamarine"> @TempData["Msg"] </div>
    }
    else
    {
        <div id="Esconder" style="text-align:center; background-color: orangered"> @TempData["Msg"] </div>
    }
}

<!DOCTYPE HTML>
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>@Model.Nome - Todas As Consultas | HealthUp!</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="Site de acompanhamento nutricional" />
    <meta name="keywords" content="nutrição, comida, dieta, nutricionista, paciente, médico, massa, corpo, gordura, biopedância" />
    <meta name="author" content="Tamires Antunes, Lucas Sanchez e Marina Melaré" />
    <!-- Facebook and Twitter integration -->
    <meta property="og:title" content="" />
    <meta property="og:image" content="" />
    <meta property="og:url" content="" />
    <meta property="og:site_name" content="" />
    <meta property="og:description" content="" />
    <meta name="twitter:title" content="" />
    <meta name="twitter:image" content="" />
    <meta name="twitter:url" content="" />
    <meta name="twitter:card" content="" />
    <link href="https://fonts.googleapis.com/css?family=Open+Sans:300,400,700" rel="stylesheet">

    <!-- Animate.css -->
    <link href="~/Content/animateNutri.css" rel="stylesheet" />
    <!-- Icomoon Icon Fonts-->
    <link href="~/Content/icomoonNutri.css" rel="stylesheet" />
    <!-- Bootstrap  -->
    <link href="~/Content/bootstrapNutri.css" rel="stylesheet" />
    <!-- Magnific Popup -->
    <link href="~/Content/magnific-popupNutri.css" rel="stylesheet" />
    <!-- Theme style  -->
    <link href="~/Content/styleNutri.css" rel="stylesheet" />
    <!-- Modernizr JS -->
    <script src="~/Scripts/Nutrimodernizr-2.6.2.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.5.0/Chart.min.js"></script>
    <!-- FOR IE9 below -->
    <!--[if lt IE 9]>
    <script src="js/respond.min.js"></script>
    <![endif]-->
</head>
<body>

    <div class="fh5co-loader"></div>

    <div id="page">
        <nav class="fh5co-nav" role="navigation" style="box-shadow: 0px 5px 7px -7px rgba(180, 88, 88, 0.2)">
            <div class="container">
                <div class="row">
                    <div class="col-xs-2 text-left">
                        <div id="fh5co-logo"><a href="~/Nutri/Index" style="color: black">HealthUp<span>!</span></a></div>
                    </div>
                    <div class="col-xs-10 text-right menu-1">
                        <ul>
                            <li><a href="~/Nutri/Index" style="color: black">Início</a></li>
                            <!--Se precisar de dropdown-->
                            <!--<li class="has-dropdown">
                                <a href="services.html">Services</a>
                                <ul class="dropdown">
                                    <li><a href="#">Web Design</a></li>
                                    <li><a href="#">eCommerce</a></li>
                                    <li><a href="#">Branding</a></li>
                                    <li><a href="#">API</a></li>
                                </ul>
                            </li>-->
                            <li><a href="~/Nutri/TelaPaciente" style="color: #6DE08A">Pacientes</a></li>
                            <li><a href="~/Nutri/TabelasReferencias" style="color: black">Tabelas de Referências</a></li>
                            <li><a href="~/Nutri/AlimentosTela" style="color: black">Alimentos</a></li>
                            <li><a href="~/Login/Sair" style="color: black">Sair</a></li>
                        </ul>
                    </div>
                </div>
            </div>
        </nav>
        <div id="fh5co-project">
            <div class="container" style="width: 1402px">






                <div class="col-md-6 animate-box" style="width: 72%">

                    <div class="row form-group">
                        <div class="col-md-6" style="width: 110%; margin-bottom: 0px; box-shadow: 11px 15px 10px -7px rgba(92, 92, 92, 0.2);">
                            @if (Model.Sexo.ToString().Equals("f"))
                            {
                                <img src="~/Imagens/userFeminino.jpg" alt="" style="width: 292px; float: left; padding-right: 13px;" />
                            }
                            else
                            {
                                <img src="~/Imagens/userMasculino.jpg" alt="" style="width: 292px; float: left; padding-right: 13px;" />
                            }

                            <h1 style="color: black">@Model.Nome</h1>
                            <h4 style="color: black">Data de Nascimento: @Model.DataNasc.ToShortDateString()</h4>
                            <h4 style="color: black">Telefone: @Model.Telefone</h4>
                            <h4 style="color: black">Email: @Model.Email</h4>

                            
                            <input name="email" value="@Model.Email" type="text" hidden="hidden" />
                            <br /><br />
                        </div>

                        <div style="clear: both;"></div>


                        @if (Model.Consultas != null)
                        {

                            foreach (var item in Model.Consultas)
                            {
                                <div style="clear: both;"></div>
                                <br /><br />
                                <center><h1 style="color: black; padding-top: 42px;padding-left: 20px;"><strong>Consulta do dia @item.Data.ToShortDateString()</strong></h1></center>
                                    <div class="col-md-6" style="width: 110%; margin-bottom: 0px; float: left; box-shadow: 11px 15px 10px -7px rgba(92, 92, 92, 0.2);">
                                        <div class="col-md-6" style="width: 44%; margin-bottom: 0px; float: left">
                                            <br /><br />
                                            
                                            <h4 style="color: black"><strong>Nutricionista da Consulta:</strong> @item.EmailNutri</h4>
                                            <h4 style="color: black"><strong>Data da Consulta:</strong> @item.Data.ToShortDateString()</h4>
                                            <h4 style="color: black"><strong>IMC:</strong> @item.Imc Kg/m2</h4>
                                            <h4 style="color: black"><strong>Peso:</strong> @item.Peso Kg</h4>
                                            <h4 style="color: black"><strong>Altura:</strong> @item.Altura m</h4>
                                            <h4 style="color: black"><strong>Peso Ideal:</strong> @item.PesoIdeal Kg</h4>
                                            <h4 style="color: black"><strong>Porcentagem de Gordura Corporal:</strong> @item.PorcentGorduraCorpo %</h4>
                                            <h4 style="color: black"><strong>Porcentagem de Massa Magra:</strong> @item.MassaMagra %</h4>
                                            <h4 style="color: black"><strong>Porcentagem de Músculos Esqueléticos:</strong> @item.PorcentMuscEsque %</h4>
                                            <h4 style="color: black"><strong>Porcentagem de Gordura Visceral:</strong> @item.PorcentGorduraVisce %</h4>
                                            <h4 style="color: black"><strong>Metabolismo:</strong> @item.Metabolismo</h4>
                                            <h4 style="color: black"><strong>Abdominal:</strong> @item.Abdominal cm</h4>
                                            <h4 style="color: black"><strong>Bíceps:</strong> @item.Biceps cm</h4>
                                            <h4 style="color: black"><strong>Coxa Esquerda:</strong> @item.CoxaEsq cm</h4>
                                        </div>

                                        <div class="col-md-6" style="width: 44%; margin-bottom: 0px; float: right">
                                            <br /><br />
                                            <h4 style="color: black"><strong>Coxa Direita:</strong> @item.CoxaDir cm</h4>
                                            <h4 style="color: black"><strong>Panturrilha Esquerda:</strong> @item.PanturrilhaEsq cm</h4>
                                            <h4 style="color: black"><strong>Panturrilha Direita:</strong> @item.PanturrilhaDir cm</h4>
                                            <h4 style="color: black"><strong>Antebraço Esquerdo:</strong> @item.AntebracoEsq cm</h4>
                                            <h4 style="color: black"><strong>Antebraço Direito:</strong> @item.AntebracoDir cm</h4>
                                            <h4 style="color: black"><strong>Subescapular:</strong> @item.Subescapular cm</h4>
                                            <h4 style="color: black"><strong>Tórax:</strong> @item.Torax cm</h4>
                                            <h4 style="color: black"><strong>Triceps:</strong> @item.Triceps cm</h4>
                                            <h4 style="color: black"><strong>Ombro:</strong> @item.Ombro cm</h4>
                                            <h4 style="color: black"><strong>Peitoral:</strong> @item.Peitoral cm</h4>
                                            <h4 style="color: black"><strong>Cintura:</strong> @item.Cintura cm</h4>
                                            <h4 style="color: black"><strong>Quadril:</strong> @item.Quadril cm</h4>
                                            <h4 style="color: black"><strong>Pescoço:</strong> @item.Pescoco cm</h4>
                                            <h4 style="color: black"><strong>Punho:</strong> @item.Punho cm</h4>
                                        </div>

                                        <form action="~/Nutri/PreviewConsulta">
                                            <input hidden value="@Model.Email" name="emailPaciente" />
                                            <input hidden value="@item.EmailNutri" name="emailNutri" />
                                            <input hidden value="@item.Data" name="dataConsulta" />
                                            <center><button type="submit" class="btn btn-lg btn-primary">Gerar Pdf</button></center>
                                        </form>
                                    </div>
                            }
                        }
                        else
                        {
                            <h4 style="color: red"> <strong>Ainda não foi realizada nenhuma consulta </strong></h4>
                        }



                    </div>
                </div>



                <br /><br />



            </div>

        </div>
        <footer id="fh5co-footer" role="contentinfo" style="padding-bottom: 42px;">
            <div class="container">
                <div class="row copyright">
                    <div class="col-md-12 text-center">
                        <p>
                            <small class="block">&copy; 2018 HealthUp! Todos os direitos reservados.</small>
                        </p>
                    </div>
                </div>
            </div>
        </footer>
        <div class="gototop js-top">
            <a href="#" class="js-gotop"><center><img src="~/Imagens/setaCima.png" alt="" /></center></a>
        </div>

        <!-- jQuery -->
        <script src="~/Scripts/Nutrijquery.min.js"></script>
        <!-- jQuery Easing -->
        <script src="~/Scripts/Nutrijquery.easing.1.3.js"></script>
        <!-- Bootstrap -->
        <script src="~/Scripts/Nutribootstrap.min.js"></script>
        <!-- Waypoints -->
        <script src="~/Scripts/Nutri.js"></script>
        <!-- countTo -->
        <script src="~/Scripts/Nutrijquery.countTo.js"></script>
        <!-- Magnific Popup -->
        <script src="~/Scripts/Nutrijquery.magnific-popup.min.js"></script>
        <script src="~/Scripts/Nutrimagnific-popup-options.js"></script>
        <!-- Stellar -->
        <script src="~/Scripts/Nutrijquery.stellar.min.js"></script>
        <!-- Main -->
        <script src="~/Scripts/Nutrimain.js"></script>



</body>
</html>




